%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: /proc perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(Filesys/Virtual.pm) perl(Fuse/Class.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Fuse-Filesys-Virtual
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: mount Perl module written using Filesys::Virtual
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/T/TO/TOSHIFJW/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
use Fuse::Filesys::Virtual;

    my $fs = Filesys::Virtual::Foo->new();
    my $fuse = Fuse::Filesys::Virtual->new($fs, { debug => 1});

    $fuse->main(mountpoint => '/mnt', mountopts => "allow_other");


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/F*

%changelog
* Tue Apr 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

